curl "https://api.scanova.io/qr-assets/design-template/?resource_type=qr_category&category_id=3" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#0033ff" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
]
}
QR 资源
列出用户设计模板
GET /qr-assets/design-template/
GET
/
qr-assets
/
design-template
/
curl "https://api.scanova.io/qr-assets/design-template/?resource_type=qr_category&category_id=3" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#0033ff" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
]
}
在 Management API 主机(
如果
api.scanova.io)上列出账户自己针对某个 QR 分类或表单的设计模板,使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/qr-assets/design-template/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
默认值:"qr_category"
qr_category 或 form。integer
当
resource_type 为 qr_category(默认值)时必填。当 resource_type 为 form 时必须省略。curl "https://api.scanova.io/qr-assets/design-template/?resource_type=qr_category&category_id=3" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#0033ff" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
]
}
resource_type=qr_category 时缺少 category_id、resource_type=form 时存在 category_id,或 resource_type 既不是 qr_category 也不是 form,则返回 400。
相关内容
- 创建用户设计模板——保存一个新模板。
- 更新用户设计模板——编辑现有模板。
- 删除用户设计模板——删除一个模板。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
查询参数
可用选项:
qr_category, form Required when resource_type=qr_category; forbidden when resource_type=form.
响应
Paginated list of design templates.
此页面对您有帮助吗?